Your submission was sent successfully! Close

CVE-2020-14347

Published: 5 August 2020

A flaw was found in the way xserver memory was not properly initialized. This could leak parts of server memory to the X client. In cases where Xorg server runs with elevated privileges, this could result in possible ASLR bypass. Xorg-server before version 1.20.9 is vulnerable.

Priority

Low

CVSS 3 base score: 5.5

Status

Package Release Status
xorg
Launchpad, Ubuntu, Debian
bionic Not vulnerable
(code not present)
focal Not vulnerable
(code not present)
precise Does not exist

trusty Does not exist

upstream Not vulnerable

xenial Not vulnerable
(code not present)
xorg-hwe-16.04
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Does not exist

precise Does not exist

trusty Does not exist

upstream Not vulnerable

xenial Not vulnerable
(code not present)
xorg-server
Launchpad, Ubuntu, Debian
bionic
Released (2:1.19.6-1ubuntu4.5)
focal
Released (2:1.20.8-2ubuntu2.3)
precise Does not exist

trusty
Released (2:1.15.1-0ubuntu2.11+esm2)
upstream
Released (1.20.9)
xenial
Released (2:1.18.4-0ubuntu0.9)
xorg-server-hwe-16.04
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Does not exist

precise Does not exist

trusty Does not exist

upstream
Released (1.20.9)
xenial
Released (2:1.19.6-1ubuntu4.1~16.04.3)
xorg-server-hwe-18.04
Launchpad, Ubuntu, Debian
bionic
Released (2:1.20.8-2ubuntu2.2~18.04.2)
focal Does not exist

precise Does not exist

trusty Does not exist

upstream
Released (1.20.9)
xenial Does not exist

xorg-server-lts-utopic
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Does not exist

precise Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist

xorg-server-lts-vivid
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Does not exist

precise Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist

xorg-server-lts-wily
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Does not exist

precise Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist

xorg-server-lts-xenial
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Does not exist

precise Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist